Bug 1009059 - Review Request: appdata-tools - Tools for AppData files
Review Request: appdata-tools - Tools for AppData files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
:
: appdata-tools (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 10:58 EDT by Richard Hughes
Modified: 2014-01-02 21:04 EST (History)
2 users (show)

See Also:
Fixed In Version: appdata-tools-0.1.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 10:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
py: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2013-09-17 10:58:35 EDT
Spec URL: http://people.freedesktop.org/~hughsient/temp/appdata-tools.spec
SRPM URL: http://people.freedesktop.org/~hughsient/temp/appdata-tools-0.1.0-1.fc19.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5945327
Description: appdata-tools contains a command line program designed to validate AppData application descriptions for standards compliance and to the style guide.

Fedora Account System Username: rhughes

$ rpmlint */appdata*.*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Note: This is an upstream project designed and package because Fedora and upstream contributors wanted a way to validate the appdata files installed for gnome-software, which is a technical preview in F20. This package only has the appdata-validate command at the moment but in the next version will also do useful things like install the its file for translation and the RELAX NG schema.
Comment 1 Pierre-Yves Luyten 2013-09-17 17:29:22 EDT
I'm fine with every item, package approved.

(A little surprised with the output on random example : "start tag 'name' not allowed from section 'application' " isn't name a valid node? Anyway this point is rather a question / bug report than part of the package review)


appdata-tools
=============
/usr/share/doc/appdata-tools

/usr/bin/appdata-validate
/usr/share/doc/appdata-tools/AUTHORS
/usr/share/doc/appdata-tools/COPYING
/usr/share/doc/appdata-tools/NEWS
/usr/share/doc/appdata-tools/README
/usr/share/locale/en_GB/LC_MESSAGES/appdata-tools.mo
/usr/share/man/man1/appdata-validate.1.gz
Comment 2 Richard Hughes 2013-09-18 04:47:33 EDT
(In reply to Pierre-Yves Luyten from comment #1)
> (A little surprised with the output on random example : "start tag 'name'
> not allowed from section 'application' " isn't name a valid node? Anyway
> this point is rather a question / bug report than part of the package review)

Already fixed upstream. I'll do a 0.1.1 release next week with all the other bugs that people have also found. Thanks.
Comment 3 Richard Hughes 2013-09-18 04:51:34 EDT
New Package SCM Request
=======================
Package Name: appdata-tools
Short Description: Tools for AppData files
Owners: rhughes
Branches: f19 f20
InitialCC: rhughes
Comment 4 Gwyn Ciesla 2013-09-18 08:27:24 EDT
Git done (by process-git-requests).
Comment 5 Richard Hughes 2013-09-18 10:37:57 EDT
Thanks for the speedy turnaround all!
Comment 6 Christopher Meng 2014-01-02 21:04:11 EST
*** Bug 1009054 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.